function plotu(u1,x_max,k)

N=size(u1,2);
y_max=x_max;
dx=2*x_max/(N-1);
dy=2*y_max/(N-1);

x=@(i) -x_max+(i-1)*dx;
y=@(j) -y_max+(j-1)*dy;

AA=zeros(N,1);
BB=zeros(N,1);

z=zeros(N,N);
for i=1:N
    AA(i)=x(i);
    BB(i)=y(i);
    for j=1:N
       z(i,j)=u1(i,j);     
    end
end
if k==1
   [c,h]=contour(AA,BB,z);
end
if k==2
   surf(AA,BB,z);
end

%axis([-2 2 -2 2 0 0.05]);

xlabel('y');
ylabel('x');
zlabel('Density');
%az = 0;
%el = 90;
%view(az, el);